---
updatedAt: 2026-05-04T05:09:57.000Z
agentTools:
  projectIndex: https://docs.payu.in/llms.txt
---

# Get Transaction Details API - Payment Links

The **Get Transaction Details** API is used to get the details of transactions for a given date range.

|                            |                                             |
| -------------------------- | ------------------------------------------- |
| **Test Environment**       | <<https://uatoneapi.payu.in/payment-links>> |
| **Production Environment** | <<https://oneapi.payu.in/payment-links>>    |

<Accordion title="Sample request" icon="fa-code">
  ```curl
    curl --location '
    https://uatoneapi.payu.in/payment-links/INV2669646610062/txns?pageSize=10&dateFrom=2024-10-16&dateTo=2024-10-17'
    \
    --header 'merchantId: 8237736' \
    --header 'Authorization: Bearer 8e400beadad72c5d00c22d98df690bcf04cff2eff4be51cc30e0783492bd8091'
  ```
</Accordion>

<Accordion title="Sample response" icon="fa-reply">
  ```json
    {
        "status": 0,
        "message": null,
        "result": {
            "pageSize": 10,
            "pages": 1,
            "rows": 1,
            "pageOffset": 0,
            "data": [
                {
                    "createdOn": "2024-10-16 15:34:52.0",
                    "transactionId": "403993715532491867",
                    "merchantReferenceId": "80203",
                    "paymentId": null,
                    "settledAmount": 19.0,
                    "customerEmail": "ganesh.desai@payu.in",
                    "status": "success",
                    "mode": "CC",
                    "bankCode": "CC",
                    "cardNum": "XXXXXXXXXXXX2346",
                    "subscriptionDetails": null
                }
            ]
        },
        "errorCode": null,
        "guid": "3755efc8-60d3-4a8e-b0dc-642d02c77c8f"
    }
  ```
</Accordion>

## Request parameters

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Get Transaction Details",
    "description": "",
    "contact": {},
    "version": "1.0"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "servers": [
    {
      "url": "https://uatoneapi.payu.in",
      "variables": {}
    }
  ],
  "paths": {
    "/payment-links/{invoiceId}/txns": {
      "get": {
        "summary": "Get Transaction Details API - Payment Links",
        "description": "",
        "operationId": "GetTransactionDetailsAPI",
        "parameters": [
          {
            "name": "invoiceId",
            "in": "path",
            "description": "This parameter must contain the invoice ID.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "merchantId",
            "in": "header",
            "description": "This parameter must contain the merchant ID.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "examples": [
                "8237736"
              ]
            }
          },
          {
            "name": "dateFrom",
            "in": "query",
            "description": "This parameter must contain date (in YYYY-MM-DD format) from which transactions are required to be queried,",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "examples": [
                "2024-10-16"
              ]
            }
          },
          {
            "name": "dateTo",
            "in": "query",
            "description": "This parameter must contain date  (in YYYY-MM-DD format) up to which transactions are required  to be queried,",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "examples": [
                "2024-10-17"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "headers": {}
          }
        },
        "deprecated": false,
        "servers": [
          {
            "url": "https://uatoneapi.payu.in",
            "variables": {}
          }
        ]
      },
      "parameters": []
    }
  },
  "components": {
    "securitySchemes": {
      "httpBearer": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "httpBearer": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```